News

Important notice for LiveSafe app iPhone users


 

LiveSafe App home screenFor those iPhone users who have downloaded the JMU LiveSafe app... The LiveSafe app is not yet compatible with iOS8.  LiveSafe developers are in the process of making the necessary changes to the LiveSafe app now.  This problem only affects iPhone users running the iOS8 operating system.  JMU Public Safety will advise when the problem is corrected.

Published: Thursday, September 18, 2014

Last Updated: Tuesday, November 8, 2016

Back to Top

Related Articles